itpp::Event_Queue Class Reference

Event Queue class. More...

`#include <itpp/protocol/events.h>`

## Public Member Functions

| Event_Queue ()
| Constructor.
| ~Event_Queue ()
| Destructor.

## Static Public Member Functions

static void | add (Base_Event *e)
| Add event to Queue.
static Ttype | now ()
| Return current time.
static void | start ()
| Start executing events.
static void | stop ()
| Stop execution of events.
static void | clear ()
| Remove all events.

## Friends

class | Base_Signal

## Detailed Description

Event Queue class.

A class for storing and executing events. Events can be added to the queue and when the start() is called all events will be executed. Observe that Events need to be created before they are added to the queue by calling an appropriate constructor. However, expired events are destroyed automatically (the destructor is called).

Definition at line 126 of file events.h.

The documentation for this class was generated from the following files:

- itpp/protocol/events.h
- itpp/protocol/events.cpp

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17